copilot-libraries-4.8: Libraries for the Copilot language.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Copilot.Library.Analysis

Description

Formally analyze streams.

Synopsis

- triviallyTrue :: Stream Bool -> Prop Universal
- triviallyFalse :: Stream Bool -> Prop Universal

# Documentation

triviallyTrue :: Stream Bool -> Prop Universal Source #

Property that captures whether a stream is trivially true, meaning that there is no way to make it false.

triviallyFalse :: Stream Bool -> Prop Universal Source #

Property that captures whether a stream is trivially false, meaning that there is no way to make it true.